## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# Generated by rust2rpm 18
%bcond_without check
%global debug_package %{nil}

%global crate psd

Name:           rust-%{crate}
Version:        0.3.0
Release:        %autorelease
Summary:        Rust API for parsing and working with PSD files

# Upstream license specification: MIT/Apache-2.0
License:        MIT or ASL 2.0
URL:            https://crates.io/crates/psd
Source:         %{crates_source}

ExclusiveArch:  %{rust_arches}
%if %{__cargo_skip_build}
BuildArch:      noarch
%endif

BuildRequires:  rust-packaging

%global _description %{expand:
Rust API for parsing and working with PSD files.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages
which use "%{crate}" crate.

%files          devel
%license LICENSE-MIT LICENSE-APACHE
%doc examples README.md CHANGELOG.md examples/README.md book/src/introduction.md book/src/SUMMARY.md book/src/user-guide/README.md book/src/layer-groups/README.md book/src/controlling-exported-layers/README.nd book/src/contributing/README.md book/src/contributing/internal-design/README.md book/src/contributing/internal-design/major-sections/README.md
%{cargo_registry}/%{crate}-%{version_no_tilde}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages
which use "default" feature of "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Wed Nov 03 2021 Rémi Lauzier <remilauzier@protonmail.com> 0.3.0-1
- Update to version 0.3.0; Fixes RHBZ#2019392

* Fri Oct 29 2021 Rémi Lauzier <remilauzier@protonmail.com> 0.2.0-1
- Update to version 0.2.0; Fixes RHBZ#2007789

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> 0.1.9-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Sun Jun 06 2021 Rémi Lauzier <remilauzier@protonmail.com> - 0.1.9-1
- Initial package

